<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2017 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: team.php
| Version: 1.1
| Author: Virel (virel.eu)
| About: TeamList infusion
| Web/Support: https://www.virel.eu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header.php";
require_once INFUSIONS . "virel_teamlist/infusion_db.php";
include_once INFUSIONS . "virel_teamlist/includes/functions.php";

add_to_title($locale['global_200'].$locale['v_tm_003']);
opentable($locale['v_tm_048']);

echo "<div class='team-body'>";
$result = dbquery("SELECT * FROM ".DB_VIREL_TEAMLIST_GROUPS." WHERE tmg_status = '1' ORDER BY tmg_position");
if (dbrows($result) != 0) {
while ($tl_group = dbarray($result)) {

echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>";
	echo "<tr>";
		echo "<td colspan='2' class='team-caption'>".$tl_group['tmg_name']."</td>";
		if($settings['tms_zprava'] == "1"){ echo "<td align='center' width='5%' class='team-caption' style='white-space:nowrap'>".$locale['v_tm_055']."</td>"; }
		if($settings['tms_aktivita'] == "1"){ echo "<td align='center' width='5%' class='team-caption' style='white-space:nowrap'>".$locale['v_tm_056']."</td>"; }
		if($settings['tms_skype'] == "1"){ echo "<td align='center' width='5%' class='team-caption' style='white-space:nowrap'>SKYPE</td>"; }
		if($settings['tms_email'] == "1"){ echo "<td align='center' width='5%' class='team-caption' style='white-space:nowrap'>E-MAIL</td>"; }
		
$result2 = dbquery("SELECT * FROM ".DB_VIREL_TEAMLIST_USERS." WHERE tmu_groups='".$tl_group['tmg_id']."' AND tmu_status = '1' ORDER BY tmu_order");
	if (dbrows($result2) != 0)  {
			
		while ($tl_users = dbarray($result2)) {
			
			$userReselut = dbarray(dbquery("SELECT * FROM ".DB_USERS." WHERE user_id='".$tl_users['tmu_userid']."'"));
			
			if ($userReselut['user_avatar'] != "" && file_exists(IMAGES."avatars/".$userReselut['user_avatar'])) {
				$user_avatar = IMAGES."avatars/".$userReselut['user_avatar'];
			} else {
				$user_avatar = IMAGES."avatars/noavatar100.png";
			}
			
			$lseen = time() - $userReselut['user_lastvisit'];
			if($lseen < 200) {
			$stav_user = "<span style='color:#15b129'><i>ONLINE</i></span> \n";
			} else {
			$stav_user = "<span style='color:#d70f0f'><i>OFFLINE</i></span> \n";
			}
			
			if($userReselut['user_skype'] == "") {
			$user_skypes = "<i>".$locale['v_tm_049']."</i>";
			} else {
			$user_skypes = "".$userReselut['user_skype']."";
			}

			$userviewemail = "<i>".$locale['v_tm_050']."</i>";
			if($userReselut['user_hide_email'] == "0") $userviewemail = "".$userReselut['user_email']."";

echo "<tr>";
	echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><img src='".$user_avatar."' alt='noav' width='50' height='50' /></td>";
	echo "<td class='tbl1 forum_name'>Nick: ".profile_link($userReselut['user_id'], $userReselut['user_name'], $userReselut['user_status'])."<br />".$locale['v_tm_053']." <b>".$tl_users['tmu_hodnost']."</b></span>";
	echo "<br />".$locale['v_tm_051']." <span style='color:#d70f0f'><i>".$stav_user."</i></span> ".$locale['v_tm_052']."</span></td>";
	if($settings['tms_zprava'] == "1"){ echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><a href='messages.php?msg_send=".$userReselut['user_id']."' title=''><img border='0' src='".VTMBASE."images/pm/".$settings['tms_pmimage']."' alt='".$settings['tms_pmimage']."' /></a></td>"; }
	if($settings['tms_aktivita'] == "1"){ echo "<td align='center' width='1%' class='tbl1' style='white-space:nowrap'>".format_time($userReselut['user_lastvisit'])."</td>"; }
	if($settings['tms_skype'] == "1"){ echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$user_skypes."</td>"; }
	if($settings['tms_email'] == "1"){ echo "<td align='center' width='1%' class='tbl1' style='white-space:nowrap'>".$userviewemail."</td>"; }
echo "</tr>";
} 
		
}

	echo "</table>\n";
	echo "</tr>\n";
	
}
} else {
	echo "<div align='center'><br />".$locale['v_tm_054']."<br /><br /></div>";
}

echo "</div>";

copy_virel();
closetable();

require_once THEMES."templates/footer.php";
?>