<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2017 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: settings.php
| Version: 1.1
| Author: Virel (virel.eu)
| About: TeamList infusion
| Web/Support: https://www.virel.eu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES . "templates/admin_header.php";
require_once INFUSIONS . "virel_teamlist/infusion_db.php";
include_once INFUSIONS . "virel_teamlist/includes/functions.php";

if (!checkrights("VTM") || !defined("iAUTH") || $_GET['aid'] != iAUTH) {
    redirect("../index.php");
}

include VTMBASE."includes/admin_nav.php";

if (isset($_POST['save_settings'])) {
	$tms_skype = (isset($_POST['tms_skype']) && isnum($_POST['tms_skype'])) ? $_POST['tms_skype'] : "1";
	$tms_email = (isset($_POST['tms_email']) && isnum($_POST['tms_email'])) ? $_POST['tms_email'] : "1";
	$tms_zprava = (isset($_POST['tms_zprava']) && isnum($_POST['tms_zprava'])) ? $_POST['tms_zprava'] : "1";
	$tms_aktivita = (isset($_POST['tms_aktivita']) && isnum($_POST['tms_aktivita'])) ? $_POST['tms_aktivita'] : "1";
    $tms_pmimage = stripinput($_POST['tms_pmimage']);
	$result = dbquery("UPDATE ".DB_VIREL_TEAMLIST_SETTINGS." SET
					   tms_skype='".$tms_skype."',
	                   tms_email='".$tms_email."',
					    tms_zprava='".$tms_zprava."',
						tms_aktivita='".$tms_aktivita."',
						tms_pmimage='".$tms_pmimage."'
				 ");
	redirect(FUSION_SELF.$aidlink);
}
 
	$data = dbarray(dbquery("SELECT * FROM ".DB_VIREL_TEAMLIST_SETTINGS));
		
		$tms_skype = (isset($data['tms_skype']) && isnum($data['tms_skype'])) ? $data['tms_skype'] : "1";
		$tms_email = (isset($data['tms_email']) && isnum($data['tms_email'])) ? $data['tms_email'] : "1";
		$tms_zprava = (isset($data['tms_zprava']) && isnum($data['tms_zprava'])) ? $data['tms_zprava'] : "1";
		$tms_aktivita = (isset($data['tms_aktivita']) && isnum($data['tms_aktivita'])) ? $data['tms_aktivita'] : "1";
		$tms_pmimage = stripinput($data['tms_pmimage']);
 
 		
opentable($locale['v_tms_01']);
	echo "<table align='center' width='40%' cellspacing='1' cellpadding='0'>\n<tr>\n";
	echo "<td class='tbl2' style='white-space:nowrap'><strong>".$locale['v_tms_06']."</strong></td>\n";
	if($tms_skype == "1") {
	echo "<td class='tbl2'><span style='color:green;'>".$locale['v_tms_02']."</span></td>\n";
	} else { echo "<td class='tbl2'><span style='color:red;'>".$locale['v_tms_03']."</span></td>\n"; }
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl2' style='white-space:nowrap'><strong>".$locale['v_tms_07']."</strong></td>\n";
	if($tms_email == "1") {
	echo "<td class='tbl2'><span style='color:green;'>".$locale['v_tms_02']."</span></td>\n";
	} else { echo "<td class='tbl2'><span style='color:red;'>".$locale['v_tms_03']."</span></td>\n"; }
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl2' style='white-space:nowrap'><strong>".$locale['v_tms_08']."</strong></td>\n";
	if($tms_zprava == "1") {
	echo "<td class='tbl2'><span style='color:green;'>".$locale['v_tms_02']."</span></td>\n";
	} else { echo "<td class='tbl2'><span style='color:red;'>".$locale['v_tms_03']."</span></td>\n"; }
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl2' style='white-space:nowrap'><strong>".$locale['v_tms_09']."</strong></td>\n";
	if($tms_aktivita == "1") {
	echo "<td class='tbl2'><span style='color:green;'>".$locale['v_tms_02']."</span></td>\n";
	} else { echo "<td class='tbl2'><span style='color:red;'>".$locale['v_tms_03']."</span></td>\n"; }
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl2' style='white-space:nowrap'><strong>".$locale['v_tms_11']."</strong></td>\n";
	echo "<td class='tbl2'><img border='0' src='".VTMBASE."images/pm/".$tms_pmimage."' alt='".$tms_pmimage."' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "</table>\n";
closetable();
 
 // Infusion version
	$version_data = dbarray(dbquery("SELECT inf_version FROM ".DB_INFUSIONS." WHERE inf_folder = 'virel_teamlist'"));	
	$version = $version_data['inf_version'];
 
opentable($locale['v_tmnav_002']." Virel status panel v".$version);
	echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
	echo "<table align='center' width='40%' cellspacing='1' cellpadding='0'>\n<tr>\n";
	echo "<td class='tbl2' style='white-space:nowrap'><strong>".$locale['v_tms_06']."</strong></td>\n";
	echo "<td class='tbl2'><select name='tms_skype' class='textbox'>\n";
	echo "<option style='color:red;' value='0'".($tms_skype == "0" ? " selected='selected'" : "").">".$locale['YN']['N']."</option>\n";
	echo "<option style='color:green;' value='1'".($tms_skype == "1" ? " selected='selected'" : "").">".$locale['YN']['Y']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl2' style='white-space:nowrap'><strong>".$locale['v_tms_07']."</strong></td>\n";
	echo "<td class='tbl2'><select name='tms_email' class='textbox'>\n";
	echo "<option style='color:red;' value='0'".($tms_email == "0" ? " selected='selected'" : "").">".$locale['YN']['N']."</option>\n";
	echo "<option style='color:green;' value='1'".($tms_email == "1" ? " selected='selected'" : "").">".$locale['YN']['Y']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl2' style='white-space:nowrap'><strong>".$locale['v_tms_08']."</strong></td>\n";
	echo "<td class='tbl2'><select name='tms_zprava' class='textbox'>\n";
	echo "<option style='color:red;' value='0'".($tms_zprava == "0" ? " selected='selected'" : "").">".$locale['YN']['N']."</option>\n";
	echo "<option style='color:green;' value='1'".($tms_zprava == "1" ? " selected='selected'" : "").">".$locale['YN']['Y']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl2' style='white-space:nowrap'><strong>".$locale['v_tms_09']."</strong></td>\n";
	echo "<td class='tbl2'><select name='tms_aktivita' class='textbox'>\n";
	echo "<option style='color:red;' value='0'".($tms_aktivita == "0" ? " selected='selected'" : "").">".$locale['YN']['N']."</option>\n";
	echo "<option style='color:green;' value='1'".($tms_aktivita == "1" ? " selected='selected'" : "").">".$locale['YN']['Y']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl2' style='white-space:nowrap'><strong>".$locale['v_tms_11']."</strong></td>\n";
	echo "<td class='tbl2'>";
	$image_files = makefilelist(VTMBASE."images/pm/", ".|..|index.php", true);
	$image_list = makefileopts($image_files);
	echo "<select name='tms_pmimage' class='textbox' style='width:150px;'>$image_list</select></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'>";
	echo "<input type='submit' name='save_settings' value='".$locale['v_tms_10']."' class='button' style='align:center;' />\n";
	echo "</tr>\n</table>\n</form>\n";   
closetable();

add_to_footer("<script type='text/javascript'>
/* <![CDATA[ */
jQuery(document).ready(function() {
	$('.tbl2 select').change(function () {
		var color = $('option:selected', this).attr('style');
		$(this).attr('style', color);
	});

	$('.tbl2 select').each(function () {
		var color = $('option[selected=selected]', this).attr('style');
		$(this).attr('style', color);
	});
	
});
/* ]]>*/
</script>");

require_once THEMES."templates/footer.php";
?>