<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2017 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin.php
| Author: Virel (virel.eu)
| About: TeamList infusion
| Web/Support: https://www.virel.eu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES . "templates/admin_header.php";
require_once INFUSIONS . "virel_teamlist/infusion_db.php";
include_once INFUSIONS . "virel_teamlist/includes/functions.php";

if (!checkrights("VTM") || !defined("iAUTH") || $_GET['aid'] != iAUTH) {
    redirect("../index.php");
}

include VTMBASE."includes/admin_nav.php";


if (isset($_GET['action']) && $_GET['action'] == "refresh") {
	$i = 1;
	$result = dbquery("SELECT tmg_id FROM ".DB_VIREL_TEAMLIST_GROUPS." ORDER BY tmg_position");
	while ($data = dbarray($result)) {
		$result2 = dbquery("UPDATE ".DB_VIREL_TEAMLIST_GROUPS." SET tmg_position='$i' WHERE tmg_id='".$data['tmg_id']."'");
		$i++;
	}
	redirect(FUSION_SELF.$aidlink);
} elseif ((isset($_GET['groups_up']) && $_GET['groups_up'] == "moveup") && (isset($_GET['tmgup_id']) && isnum($_GET['tmgup_id']))) {
	$data = dbarray(dbquery("SELECT tmg_id FROM ".DB_VIREL_TEAMLIST_GROUPS." WHERE tmg_position='".intval($_GET['order'])."'"));
	$result = dbquery("UPDATE ".DB_VIREL_TEAMLIST_GROUPS." SET tmg_position=tmg_position+1 WHERE tmg_id='".$data['tmg_id']."'");
	$result = dbquery("UPDATE ".DB_VIREL_TEAMLIST_GROUPS." SET tmg_position=tmg_position-1 WHERE tmg_id='".$_GET['tmgup_id']."'");
	redirect(FUSION_SELF.$aidlink);
} elseif ((isset($_GET['groups_down']) && $_GET['groups_down'] == "movedown") && (isset($_GET['tmgdw_id']) && isnum($_GET['tmgdw_id']))) {
	$data = dbarray(dbquery("SELECT tmg_id FROM ".DB_VIREL_TEAMLIST_GROUPS." WHERE tmg_position='".intval($_GET['order'])."'"));
	$result = dbquery("UPDATE ".DB_VIREL_TEAMLIST_GROUPS." SET tmg_position=tmg_position-1 WHERE tmg_id='".$data['tmg_id']."'");
	$result = dbquery("UPDATE ".DB_VIREL_TEAMLIST_GROUPS." SET tmg_position=tmg_position+1 WHERE tmg_id='".$_GET['tmgdw_id']."'");
	redirect(FUSION_SELF.$aidlink);
	
} elseif ((isset($_GET['users_up']) && $_GET['users_up'] == "moveup") && (isset($_GET['tmuup_id']) && isnum($_GET['tmuup_id']) && isnum($_GET['groups']))) {
	$data = dbarray(dbquery("SELECT tmu_id FROM ".DB_VIREL_TEAMLIST_USERS." WHERE tmu_order='".intval($_GET['order'])."' AND tmu_groups='".$_GET['groups']."'"));
	$result = dbquery("UPDATE ".DB_VIREL_TEAMLIST_USERS." SET tmu_order=tmu_order+1 WHERE tmu_id='".$data['tmu_id']."'");
	$result = dbquery("UPDATE ".DB_VIREL_TEAMLIST_USERS." SET tmu_order=tmu_order-1 WHERE tmu_id='".$_GET['tmuup_id']."'");
	redirect(FUSION_SELF.$aidlink);
} elseif ((isset($_GET['users_down']) && $_GET['users_down'] == "movedown") && (isset($_GET['tmudw_id']) && isnum($_GET['tmudw_id']) && isnum($_GET['groups']))) {
	$data = dbarray(dbquery("SELECT tmu_id FROM ".DB_VIREL_TEAMLIST_USERS." WHERE tmu_order='".intval($_GET['order'])."' AND tmu_groups='".$_GET['groups']."'"));
	$result = dbquery("UPDATE ".DB_VIREL_TEAMLIST_USERS." SET tmu_order=tmu_order-1 WHERE tmu_id='".$data['tmu_id']."'");
	$result = dbquery("UPDATE ".DB_VIREL_TEAMLIST_USERS." SET tmu_order=tmu_order+1 WHERE tmu_id='".$_GET['tmudw_id']."'");
	redirect(FUSION_SELF.$aidlink);
} 

opentable($locale['v_tm_014']);
$result = dbquery("SELECT * FROM ".DB_VIREL_TEAMLIST_GROUPS." ORDER BY tmg_position");
	echo "<div style='padding-bottom: 20px;'>";
	if (dbrows($result) != 0) {
		$k=1;
		while ($tmg_group = dbarray($result)) {
			
			if ($tmg_group['tmg_status'] == 1) {
					$gp_status = "<img border='0' src='".VTMBASE."images/yes.png' alt='".$locale['v_tm_024']."' title='".$locale['v_tm_024']."' border='0' /> ";
				} else {
					$gp_status = "<img border='0' src='".VTMBASE."images/no.png' alt='".$locale['v_tm_025']."' title='".$locale['v_tm_025']."' border='0' /> ";
		    }
			
			echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>";
				echo "<tr>";
					echo "<td colspan='2' class='admin-caption'>".$gp_status." ".$tmg_group['tmg_name']."</td>";
					echo "<td align='center' width='5%' class='admin-caption' style='white-space:nowrap'><a href='group.php".$aidlink."&amp;action=edit&amp;gp_id=".$tmg_group['tmg_id']."'>".$locale['v_tm_012']."</a></td>";
					echo "<td align='center' width='5%' class='admin-caption' style='white-space:nowrap'><a href='group.php".$aidlink."&amp;action=delete&amp;tgu_id=".$tmg_group['tmg_id']."' onclick=\"return confirm('".$locale['v_tmgp_001']."');\">".$locale['v_tm_013']."</a></td>";
					
			if (dbrows($result) != 1) {
				$up = $tmg_group['tmg_position'] - 1;
				$down = $tmg_group['tmg_position'] + 1;
			
				if ($k == 1) {
					echo "<td align='center' width='5%' class='admin-caption' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;groups_down=movedown&amp;order=$down&amp;tmgdw_id=".$tmg_group['tmg_id']."'><img src='".get_image("down")."' alt='".$locale['v_tm_009']."' title='".$locale['v_tm_011']."' style='border:0px;' /></a></td>\n";
				} elseif ($k < dbrows($result)) {
					echo "<td align='center' width='5%' class='admin-caption' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;groups_up=moveup&amp;order=$up&amp;tmgup_id=".$tmg_group['tmg_id']."'><img src='".get_image("up")."' alt='".$locale['v_tm_008']."' title='".$locale['v_tm_010']."' style='border:0px;' /></a>\n";
					echo "<a href='".FUSION_SELF.$aidlink."&amp;groups_down=movedown&amp;order=$down&amp;tmgdw_id=".$tmg_group['tmg_id']."'><img src='".get_image("down")."' alt='".$locale['v_tm_009']."' title='".$locale['v_tm_011']."' style='border:0px;' /></a></td>\n";
				} else {
					echo "<td align='center' width='5%' class='admin-caption' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;groups_up=moveup&amp;order=$up&amp;tmgup_id=".$tmg_group['tmg_id']."'><img src='".get_image("up")."' alt='".$locale['v_tm_008']."' title='".$locale['v_tm_010']."' style='border:0px;' /></a></td>\n";
				}
			}
			$k++;
			
			echo "<table width='100%' class='tbl-border' cellpadding='0' cellspacing='0' align='center'>
			<tr>
				<td class='tbl1' width='200'>".$locale['v_tm_015']."</td>
				<td class='tbl1' width='200'>".$locale['v_tm_016']."</td>
				<td class='tbl1' width='50' style='text-align:center;'>".$locale['v_tm_017']."</td>
				<td class='tbl1' width='100' style='text-align:center;'>".$locale['v_tm_018']."</td>
				<td class='tbl1' width='50' style='text-align:center;'>".$locale['v_tma_01']."</td>
			</tr>";
			$result2 = dbquery("SELECT * FROM ".DB_VIREL_TEAMLIST_USERS." WHERE tmu_groups='".$tmg_group['tmg_id']."' ORDER BY tmu_order");
			$j=1;
			while ($tl_users = dbarray($result2)) {
				
				$userReselut = dbarray(dbquery("SELECT * FROM ".DB_USERS." WHERE user_id='".$tl_users['tmu_userid']."'"));
				echo "<tr>
				<td class='tbl2'>".profile_link($userReselut['user_id'], $userReselut['user_name'], $userReselut['user_status'])."</td>
				<td class='tbl2'>".$tl_users['tmu_hodnost']."</td>
				<td class='tbl2' style='text-align:center;'>";
				if ($tl_users['tmu_status'] == 1) {
					echo "<img border='0' src='".VTMBASE."images/yes.png' alt='".$locale['v_tm_024']."' border='0' /> ";
				} else {
					echo "<img border='0' src='".VTMBASE."images/no.png' alt='".$locale['v_tm_025']."' border='0' /> ";
		    }
		    echo "</td>
				<td class='tbl2' width='50' style='text-align:center;'>
				<a href='user.php".$aidlink."&amp;action=edit&amp;tgu_id=".$tl_users['tmu_id']."'>".$locale['v_tm_012']."</a> ||
				<a href='user.php".$aidlink."&amp;action=delete&amp;tgu_id=".$tl_users['tmu_id']."' onclick=\"return confirm('".$locale['v_tm_047']."');\">".$locale['v_tm_013']."</a>
				</td>\n<td class='tbl2' width='50' style='text-align:center;'>\n";
				if (dbrows($result2) != 1) {
				$up = $tl_users['tmu_order'] - 1;
				$down = $tl_users['tmu_order'] + 1;
			
				if ($j == 1) {
					echo "<a href='".FUSION_SELF.$aidlink."&amp;users_down=movedown&amp;order=$down&amp;tmudw_id=".$tl_users['tmu_id']."&amp;groups=".$tmg_group['tmg_id']."'><img src='".get_image("down")."' alt='".$locale['v_tm_009']."' title='".$locale['v_tm_011']."' style='border:0px;' /></a>\n";
				} elseif ($j < dbrows($result2)) {
					echo "<a href='".FUSION_SELF.$aidlink."&amp;users_up=moveup&amp;order=$up&amp;tmuup_id=".$tl_users['tmu_id']."&amp;groups=".$tmg_group['tmg_id']."'><img src='".get_image("up")."' alt='".$locale['v_tm_008']."' title='".$locale['v_tm_010']."' style='border:0px;' /></a>\n";
					echo "<a href='".FUSION_SELF.$aidlink."&amp;users_down=movedown&amp;order=$down&amp;tmudw_id=".$tl_users['tmu_id']."&amp;groups=".$tmg_group['tmg_id']."'><img src='".get_image("down")."' alt='".$locale['v_tm_009']."' title='".$locale['v_tm_011']."' style='border:0px;' /></a>\n";
				} else {
					echo "<a href='".FUSION_SELF.$aidlink."&amp;users_up=moveup&amp;order=$up&amp;tmuup_id=".$tl_users['tmu_id']."&amp;groups=".$tmg_group['tmg_id']."'><img src='".get_image("up")."' alt='".$locale['v_tm_008']."' title='".$locale['v_tm_010']."' style='border:0px;' /></a>\n";
				}
			}
			
				echo "</td>\n</tr>\n";
				$j++;
			}
			
			echo "</table>\n";
			echo "</tr>\n";
		}
	}	else {
		echo "<div align='center'><br />".$locale['v_tm_054']."<br /></div>";
	}
	
	echo "</div>";
	
	if (dbrows($result)) { echo "<div style='text-align:center;margin-top:5px;margin-bottom: 15px;'>[ <a href='".FUSION_SELF.$aidlink."&amp;action=refresh'>".$locale['v_tm_007']."</a> ]</div>\n"; }

	echo "<hr>";
	
copy_virel2();	
closetable();

require_once THEMES . "templates/footer.php";
?>