<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2017 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: group.php
| Author: Virel (virel.eu)
| About: TeamList infusion
| Web/Support: https://www.virel.eu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES . "templates/admin_header.php";
require_once INFUSIONS . "virel_teamlist/infusion_db.php";
include_once INFUSIONS . "virel_teamlist/includes/functions.php";

if (!checkrights("VTM") || !defined("iAUTH") || $_GET['aid'] != iAUTH) {
    redirect("../index.php");
}

include VTMBASE."includes/admin_nav.php";

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['v_tm_041'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['v_tm_042'];
	} elseif ($_GET['status'] == "del") {
		$message = $locale['v_tm_043'];
	} elseif ($_GET['status'] == "deln") {
		$message = $locale['v_tm_044']."<br />\n<span class='small'>".$locale['v_tm_045']."</span>";
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['tgu_id']) && isnum($_GET['tgu_id']))) {
	$data = dbarray(dbquery("SELECT * FROM ".DB_VIREL_TEAMLIST_USERS." WHERE tmu_id='".$_GET['tgu_id']."'"));
	$result = dbquery("UPDATE ".DB_VIREL_TEAMLIST_USERS." SET tmu_order=tmu_order-1 WHERE tmu_order>'".$data['tmu_order']."'");	
	$result = dbquery("DELETE FROM ".DB_VIREL_TEAMLIST_USERS." WHERE tmu_id='".$_GET['tgu_id']."'");
	redirect(FUSION_SELF.$aidlink."&status=del");
	
}

	if (isset($_POST['savetgu'])) {
		$tgu_userid = stripinput($_POST['tgu_userid']);
		$tgu_hodnost = stripinput($_POST['tgu_hodnost']);
		$tgu_desc = stripinput($_POST['tgu_desc']);
		$tgu_status = stripinput($_POST['tgu_status']);
		$tgu_groups = stripinput($_POST['tgu_groups']);
		$tgu_order = isnum($_POST['tgu_order']) ? $_POST['tgu_order'] : 0;
		if ($tgu_hodnost != "") {
			if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['tgu_id']) && isnum($_GET['tgu_id']))) {
				$result = dbquery("UPDATE ".DB_VIREL_TEAMLIST_USERS." SET tmu_hodnost='".$tgu_hodnost."', tmu_desc='".$tgu_desc."', tmu_status='".$tgu_status."', tmu_groups='".$tgu_groups."' WHERE tmu_id='".$_GET['tgu_id']."'");
				redirect(FUSION_SELF.$aidlink."&status=su");
			} else {
				$result = dbquery("INSERT INTO ".DB_VIREL_TEAMLIST_USERS." (tmu_userid, tmu_hodnost, tmu_desc, tmu_status, tmu_groups, tmu_order) VALUES ('".$tgu_userid."', '".$tgu_hodnost."', '".$tgu_desc."', '".$tgu_status."', '".$tgu_groups."', '".$tgu_order."')");
				redirect(FUSION_SELF.$aidlink."&status=sn");
			}
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['tgu_id']) && isnum($_GET['tgu_id']))) {
		$result = dbquery("SELECT * FROM ".DB_VIREL_TEAMLIST_USERS." WHERE tmu_id='".$_GET['tgu_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$tgu_userid = $data['tmu_userid'];
			$tgu_hodnost = $data['tmu_hodnost'];
			$tgu_desc = $data['tmu_desc'];
			$tgu_status = $data['tmu_status'];
			$tgu_groups = $data['tmu_groups'];
			$tgu_order = $data['tmu_order'];
				if ($data['tmu_userid'] > 0){
				$result2 = dbquery("SELECT user_id, user_name FROM ".DB_USERS." WHERE user_id='".$data['tmu_userid']."'");
				$tl_users2 = dbarray($result2);
				$user_name = $tl_users2['user_name'];
				} else {
				$user_name = "Maiky Profil";
				}
			$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;tgu_id=".$data['tmu_id'];
			opentable($locale['v_tm_033']);
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$tgu_userid = "";
		$tgu_hodnost = "";
		$tgu_desc = "";
		$tgu_status = "";
		$tgu_groups = "";
		$tgu_order = "";
		$formaction = FUSION_SELF.$aidlink;
		opentable($locale['v_tm_032']);
	}
	echo "<form name='layoutform' method='post' action='".$formaction."'>\n";
	echo "<table cellpadding='0' cellspacing='0' class='center'>\n";
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['tgu_id']) && isnum($_GET['tgu_id']))) {
	echo "<tr>\n";
	echo "<td class='tbl'>".$locale['v_tm_037'].":</td>\n";
	echo "<td class='tbl'><input type='text' class='textbox' value='".$user_name."' style='width: 290px;' readonly='readonly' /></td></td>\n";
	echo "</tr>\n";
	} else {
	echo "<tr>\n";
	echo "<td class='tbl'>".$locale['v_tm_034'].": <span style='color:#ff0000'>*</span></td>\n";
	echo "<td class='tbl'><select name='tgu_userid' class='textbox' style='width: 200px;'><option value='-'>".$locale['v_tm_035']."</option><option value='0'>".$locale['v_tm_036']."</option>";
				$result = dbquery("SELECT user_id, user_name FROM ".DB_USERS." ORDER BY user_level DESC, user_name");
				while ($member_list = dbarray($result)) {
					echo "<option value='".$member_list['user_id']."'>".$member_list['user_name']."</option>\n";
				}
	echo "</select></td>";
	echo "</tr>\n";
	}
	echo "<tr>\n";
	echo "<td class='tbl'>".$locale['v_tm_037'].": <span style='color:#ff0000'>*</span></td>\n";
	echo "<td class='tbl'><input type='text' name='tgu_hodnost' value='".$tgu_hodnost."' maxlength='100' class='textbox' style='width:290px;' placeholder='".$locale['v_tm1_001']."' /> </td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td class='tbl1'>".$locale['v_tm_038'].":</td>\n";
	echo "<td class='tbl1'><textarea name='tgu_desc' class='textbox' cols='34' rows='3'>".$tgu_desc."</textarea></td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td class='tbl'>".$locale['v_tm_039'].": <span style='color:#ff0000'>*</span></td>\n";
	echo "<td class='tbl'><select name='tgu_status' class='textbox' style='width: 90px;'>
					<option".($tgu_status == 1 ? " selected='selected'" : "")." value='1'>".$locale['v_tm_024']."</option>
					<option".($tgu_status == 0 ? " selected='selected'" : "")." value='0'>".$locale['v_tm_025']."</option></select></td>\n";
	echo "</tr>\n";
	
	echo "<tr>\n";
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['tgu_id']) && isnum($_GET['tgu_id']))) {
	echo "<td class='tbl'>".$locale['v_tm_040'].": <span style='color:#ff0000'>*</span></td>\n";
	echo "<td class='tbl'><select name='tgu_groups' class='textbox' style='width: 200px;'><option value='-'>".$locale['v_tm_035']."</option>";
				$result = dbquery("SELECT tmg_id, tmg_name FROM ".DB_VIREL_TEAMLIST_GROUPS." ORDER BY tmg_name");
				while ($group_list = dbarray($result)) {
					echo "<option".($tgu_groups == $group_list['tmg_id'] ? " selected='selected'" : "")." value='".$group_list['tmg_id']."'>".$group_list['tmg_name']."</option>";
				}
	echo "</select></td>\n";
	} else {
	echo "<td class='tbl'>".$locale['v_tm_040'].": <span style='color:#ff0000'>*</span></td>\n";
	echo "<td class='tbl'><select name='tgu_groups' class='textbox' style='width: 200px;'><option value='-'>".$locale['v_tm_035']."</option>";
				$result = dbquery("SELECT tmg_id, tmg_name FROM ".DB_VIREL_TEAMLIST_GROUPS." ORDER BY tmg_name");
				while ($group_list = dbarray($result)) {
					echo "<option value='".$group_list['tmg_id']."'>".$group_list['tmg_name']."</option>";
				}
	echo "</select></td>\n";
	}
	echo "</tr>\n";
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['tgu_id']) && isnum($_GET['tgu_id']))) {
	} else {
	echo "<tr>\n";
	echo "<td class='tbl'>".$locale['v_tm_022'].": <span style='color:#ff0000'>*</span></td>\n";
	echo "<td class='tbl'><input type='text' name='tgu_order'  value='".$tgu_order."' maxlength='2' class='textbox' style='width:40px;' /> <small>1</small></td>\n";
	echo "</tr>\n";
	}
	echo "<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'>\n";
	echo "<input type='submit' name='savetgu' value='".$locale['v_tm_046']."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>\n";
	
	copy_virel();
	closetable();

require_once THEMES . "templates/footer.php";
?>